
QGIS Application - Bug report #13197

Spatialindex include path missing in some components

2015-08-09 02:57 PM - William Kyngesburye

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21258

Description

The SpatialIndex include path is missing from Cmakelists.txt in a few places.  If Spatialindex is not in one of the default include paths or

any other include path used in compilation (ie it's installed in an isolated location), compilation fails.  It's missing (and needed) in

cmakelists in:

    -  app

    -  gui

    -  plugins/georeferencer

    -  python

Associated revisions

Revision 1e80a984 - 2016-02-19 09:06 PM - Jürgen Fischer

include spatialindex only in core (fixes #13197)

History

#1 - 2015-10-26 08:17 PM - William Kyngesburye

- Affected QGIS version changed from 2.8.3 to master

- Priority changed from Normal to High

Still a problem in 2.12.

#2 - 2015-10-26 09:21 PM - William Kyngesburye

Oh, now more that need spatialindex:

    -  plugins/coordinate_capture

    -  plugins/evis

    -  plugins/roadgraph

    -  plugins/grass

#3 - 2016-02-19 12:06 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"1e80a984df3bebc77f52afb3689ec0a71a3e4c1c".
